Job sheet
curl --request GET \
--url https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/job-sheetconst options = {method: 'GET'};
fetch('https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/job-sheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/job-sheet"
response = requests.get(url)
print(response.text)"<string>"{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro-contractor
Job sheet
The printable job sheet (PDF) of one of the signed-in contractor’s jobs
GET
/
p
/
:tenant
/
contractor
/
jobs
/
{id}
/
job-sheet
Job sheet
curl --request GET \
--url https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/job-sheetconst options = {method: 'GET'};
fetch('https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/job-sheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/p/:tenant/contractor/jobs/{id}/job-sheet"
response = requests.get(url)
print(response.text)"<string>"{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Path Parameters
Response
Success
The response is of type file.